Skip to main content
POST
Create a customer

Authorizations

X-Api-Key
string
header
required

Your API key, from your Tapfiliate account settings.

Query Parameters

Body

application/json
customer_id
string
required

The id for this customer in your system. The customer id should be unique for each customer.

Example:

"USER123"

referral_code
string

An affiliate's referral code. This corresponds to the value of ref= in their referral link

Example:

"janejameson"

tracking_id
string

XXX-XXXX-XXXX-XXXXX (string) - The tracking id, to be retrieved from our javascript library. Please refer to our REST API integration guide for more info.

Example:

"XXXXX"

click_id
string

abc (string, optional) - The click id. Used to add additional reporting information.

Example:

"id: 1"

coupon
string

A coupon code to track the conversion by

Example:

"JANE10OFF"

asset_id
string

The asset id

Example:

"1-aaaaaa"

source_id
string

The source id

Example:

"1-ssssss"

status
string

Determines the intial status for the customer. You can read more about statuses here. Defaults to "new" if none is passed.

Example:

"trial|lead|new"

user_agent
string

The client's user agent string. Used for statistics and fraud detection.

Example:

"ua string"

ip
string

The client's ip. Used for fraud detection.

Example:

"111.11.11.111"

Response

OK

id
string
customer_id
string
status
string
created_at
string
click
unknown
program
object
affiliate
object
affiliate_meta_data
unknown
meta_data
object
warnings
unknown